- Firms
- Upload a firm logo
Firms
Upload a firm logo
Upload the logo shown to the firm's taxpayers. Send the image as multipart/form-data.
POST
/v1/firms/{firmId}/upload-logo
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/upload-logo \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--form 'logoImage=@/path/to/file'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/upload-logo \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--form 'logoImage=@/path/to/file'Authorizations
bearerAuth
required
string
Access token from POST /v1/auth/token, sent as `Authorization: Bearer {accessToken}`.
Query Parameters
firmId
required
string
Unique identifier of the firm.
x-api-key
required
string
API key of your Client Application.
Body
multipart/form-data
logoImage
required
file
Logo image file.
Response
application/json
200
400
401
403
404
OK
logoUrl
string
URL to the uploaded firm logo.
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/upload-logo \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--form 'logoImage=@/path/to/file'
curl --request POST \
--url https://public-api.sandbox.remitian.com/v1/firms/{firmId}/upload-logo \
--header 'Authorization: Bearer <token>' \
--header 'x-api-key: <x_api_key>' \
--form 'logoImage=@/path/to/file'